Subject: Re: [MMUSIC] Feedback requested on requirements

From: Harald Alvestrand <[email-masked]>
Date: Tue, 02 Apr 2013 18:53:45 +0200

On 03/29/2013 09:56 PM, Dale R. Worley wrote:
> The discussion of requirements for bundling has been thin.  I'd like
> to go through the things that I have seen raised as "desiderata" (what
> we desire, though it may not be absolutely required) and get feedback
> from people on them.
>
> Here is the first installment:
>
>
>     DES F1  For each bundle, there is a group of media descriptions which
>        describe the application-level RTP sessions.  This specification
>        must allow the same granularity of description as when the media
>        flows were not multiplexed.  This description includes identifiers
>        which connect the media flows with the application and with each
>        other.
I challenge this description - the term "application-level RTP session" 
is not defined.
There are RTP sessions (which are defined by being a single SSRC 
namespace). If you want a new concept, call it something else.

For myself, I'm happy with describing single flows (SSRCs), all flows of 
the same type (payload types), and all flows in an RTP session; I think 
adding a fourth level of granularity is more trouble than it's worth.

>
>     This requirement is taken from [I-D.jennings-mmusic-media-req].
>
>     DES F2  For each bundle, there is a media description that describes
>        the transport-level RTP session.
>
>     DES F1 and DES F2 do not specify whether the transport-level media
>     description may or may not also be one of the application-level media
>     descriptions.
>
>
> Comments?
>
> Dale
> _______________________________________________
> mmusic mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mmusic